Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class ListenerManager

    java.lang.Object
      org.apache.axis2.engine.ListenerManager

    public class ListenerManager

extends java.lang.Object

Field Summary
`protected org.apache.axis2.engine.ListenerManager.ListenerManagerShutdownThread` | `shutdownHookThread`

Constructor Summary
`ListenerManager()`

Method Summary
`void` | `addListener(TransportInDescription trsIn, boolean started)` Adds the listener described in the provided `TransportInDescription`.
`void` | `destroy()`
`ConfigurationContext` | `getConfigctx()` Returns the ConfigurationContext used for the initalization of the listener manager.
`EndpointReference` | `getEPRforService(java.lang.String serviceName, java.lang.String opName, java.lang.String transportName)` To get an EPR for a given service
`void` | `init(ConfigurationContext configCtx)` Initializes the listener manager and the defined transports in the `AxisConfiguration`
`boolean` | `isListenerRunning(java.lang.String transportName)`
`boolean` | `isShutdownHookRequired()`
`boolean` | `isStopped()`
`void` | `setShutdownHookRequired(boolean shutdownHookRequired)`
`void` | `start()` To start all the transports
`void` | `startSystem(ConfigurationContext configurationContext)`
`void` | `stop()` Stop all the transports and notify modules of shutdown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shutdownHookThread

    protected org.apache.axis2.engine.ListenerManager.ListenerManagerShutdownThread shutdownHookThread

Constructor Detail

### ListenerManager

    public ListenerManager()

Method Detail

### init

    public void init(ConfigurationContext configCtx)

  Initializes the listener manager and the defined transports in the `AxisConfiguration`

  Parameters:
    `configCtx` - used for the initialization

### getConfigctx

    public ConfigurationContext getConfigctx()

  Returns the ConfigurationContext used for the initalization of the listener manager. It should be the current ConfigurationContext in use in most of the time.

  Returns:
    the ConfigurationContext used for the ListenerManager initialization

### getEPRforService

    public EndpointReference getEPRforService(java.lang.String serviceName,
                                              java.lang.String opName,
                                              java.lang.String transportName)
                                       throws AxisFault

  To get an EPR for a given service

  Parameters:
    `serviceName` - the name of the service
    `opName` - the operation name
    `transportName` - the name of the transport, or null.
  Returns:
    String
  Throws:
    `AxisFault`

### start

    public void start()

  To start all the transports

### startSystem

    public void startSystem(ConfigurationContext configurationContext)

### stop

    public void stop()
              throws AxisFault

  Stop all the transports and notify modules of shutdown.

  Throws:
    `AxisFault`

### addListener

    public void addListener(TransportInDescription trsIn,
                            boolean started)
                     throws AxisFault

  Adds the listener described in the provided `TransportInDescription`. Further if the listener represented by the TransportInDescription has already been initialized and started the boolean `started` input parameter has to be provided as `true`.

  It is not possible to add a listener which is already initialized but not started to the listener manager, even though the above is a condition that has to be satisfied there is no means of enforcing that, becuase the `TransportListener` API doesn't provide a mechanism to test whether it is initialized or started.

  If the caller is using an already intialized listener, then it is the responsability of the caller to start the listener before adding it to the listener manager and pass the `started` parameter value as `true`.

  Parameters:
    `trsIn` - Transport in description (which contains Transport Listener) to be added
    `started` - whether the transport Listener that is being added is already started or not
  Throws:
    `AxisFault` - will throw AxisFault if something goes wrong

### isListenerRunning

    public boolean isListenerRunning(java.lang.String transportName)

### isStopped

    public boolean isStopped()

### destroy

    public void destroy()
                 throws AxisFault

  Throws:
    `AxisFault`

### isShutdownHookRequired

    public boolean isShutdownHookRequired()

### setShutdownHookRequired

    public void setShutdownHookRequired(boolean shutdownHookRequired)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.